Can't Install Jack

What other apps and distros do you use to round out your studio?

Moderators: khz, MattKingUSA

danielwewo
Posts: 1
Joined: Wed Apr 10, 2019 3:09 pm

Can't Install Jack

Postby danielwewo » Wed Apr 10, 2019 3:17 pm

Hey there guys, I'm not new to linux but I am new to linux pro-audio.

I've been following this guys video: https://www.youtube.com/watch?v=_D3d-B9waFc&=

I've gotten pretty far. I've got carla running and it detects the windows .vsts but I've got a problem. I can't start the engine in Carla because I don't have jack installed. I am not sure which jack package I need (qjackctl, jackd2, jackd2) but none of them will install. I will always get this error message:

Code: Select all

The following packages have unmet dependencies:
 qjackctl : Depends: jackd but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


I've kind of gone down the rabbit hole a little bit in trying to install the dependencies of jackd2 and jackd but I run into issues all the way down. Does anybody have any tips?

I'm running pop!_OS (Ubuntu 18.04 based) and I have enabled the KXStudio Repos including the gcc one.

Thanks!

glowrak guy
Established Member
Posts: 1347
Joined: Sat Jun 21, 2014 8:37 pm

Re: Can't Install Jack

Postby glowrak guy » Thu Apr 11, 2019 9:15 pm

Hi, first find the broken packages, in synaptic, look in the panel
on the bottom left, and click on the 'Custom Filters' button.

Now the list in the upper left should have a 'Broken' entry,
click that, and remove the offending files. It would be
good to first right-click the file, and click properties
and view the listing on the dependencies tab.

Rarely, there is some app or lib with a quirk,
requiring a developers bugfix, or compiling change.

You can only have one version of jackd installed, or there will be
problems. Worst case, use synaptic search function for jack,
and uninstall everything that shows as installed, qjackctl and
sundry depencies/apps included, reboot, and install qjackctl,
which should properly bring in jackd and the right libs

Welcome to the forum!
Cheers

User avatar
Linuxmusician01
Established Member
Posts: 629
Joined: Mon Feb 23, 2015 2:38 pm
Location: Holland

Re: Can't Install Jack

Postby Linuxmusician01 » Fri Apr 12, 2019 12:20 pm

danielwewo wrote:I'm running pop!_OS

If still possible/acceptable for you: try to use/install regular Ubuntu. I, for one, am reluctant to support obscure distro's.

Anyway, have you tried "updating" to retrieve latest lists of packages before installing Jack? Copy/paste this in a terminal:

Code: Select all

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install qjackctl


If you want to install qjackctl then apt-get should install everything it depends on automatically on too.

Good luck! :)


Return to “Linux Distributions & Other Software”

Who is online

Users browsing this forum: merlyn and 1 guest